Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 257)
@@ -1593,11 +2229,27 @@
 		} 
 		if ($oldval) { 
-			mysql_query("update  ".$prefix."$tab set $riga where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+			$sql="update  ".$prefix."$tab set $riga where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 			if ($fileout) fwrite($fp,"update  ".$prefix."$tab set $riga where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo';\n");
-			mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','$oldval','num_gruppo:$num_gruppo $riga','$tab')", $dbi);
+			$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','$oldval','num_gruppo:$num_gruppo $riga','$tab')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		}
 	} else { #die ("test in corso: insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti)");
-		mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','','num_gruppo:$num_gruppo $riga','$tab')", $dbi);
-		mysql_query("insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti $sgriga)", $dbi);
+		$sql="insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','".$log_ora['hours'].":".$log_ora['minutes'].":".$log_ora['seconds']."','','num_gruppo:$num_gruppo $riga','$tab')";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
+		$sql="insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti $sgriga)";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+
 		if ($fileout) fwrite($fp,"insert into ".$prefix."$tab values ('$id_cons', '$id_gruppo','$id_sez',$voti $sgriga);\n");
 	//
Index: trunk/admin/modules/Elezioni/foto.php
===================================================================
--- trunk/admin/modules/Elezioni/foto.php	(revision 256)
+++ trunk/admin/modules/Elezioni/foto.php	(revision 257)
@@ -29,18 +29,22 @@
 if ($id_lista){
 	$sql = "select stemma from ".$prefix."_ele_lista where id_lista=".$id_lista;
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }elseif ($id_gruppo){
 	$sql = "select stemma from ".$prefix."_ele_gruppo where id_gruppo=".$id_gruppo;
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }elseif ($id_sede){
 	$sql = "select mappa from ".$prefix."_ele_sede where id_sede=".$id_sede;
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }elseif ($id_comune2){
 	$sql = "select stemma from ".$prefix."_ele_comuni where id_comune=".$id_comune2;
-	$res = mysql_query($sql,$dbi);
-	list($stemma) = mysql_fetch_row($res);
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	list($stemma) = $res->fetch(PDO::FETCH_NUM);
 }else{
 return;
@@ -51,9 +55,10 @@
 if ($stemma==""){ 
 
-$sql = "select stemma from ".$prefix."_ele_conf where id_com='0'";
-$res = mysql_query($sql,$dbi);
-if($res)
+$sql = "select stemma from ".$prefix."_ele_comuni where id_comune='0'";
+$res = $dbi->prepare("$sql");
+$res->execute(); 
+if($res->rowCount())
 	{
-	$dati = mysql_fetch_array($res);
+	$dati = $res->fetch(PDO::FETCH_BOTH);
 	$stemma = $dati['stemma'];
 	}
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 256)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 257)
@@ -95,11 +95,14 @@
 global $prefix,$dbi,$id_cons,$limite,$id_comune,$ops;
 $sqlcomu="select fascia from ".$prefix."_ele_comuni where id_comune='$id_comune'";
-$res = mysql_query($sqlcomu);
-list($fascia)=mysql_fetch_row($res);
+$res = $dbi->prepare("$sqlcomu");
+$res->execute();	
+list($fascia)=$res->fetch(PDO::FETCH_NUM);
 	#voti di lista e di gruppo completamente disgiunti 
-	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$sql="select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ";
+	$result = $dbi->prepare("$sql");
+	$result->execute();	
 	$glsep='';
-	if ($result) {
-		list($infdis,$supdis)=mysql_fetch_row($result);
+	if ($result->rowCount()) {
+		list($infdis,$supdis)=$result->fetch(PDO::FETCH_NUM);
 		if((($fascia>$limite and $supdis) or ($fascia<=$limite and $infdis)))
 			$glsep='_lista';
Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 256)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 257)
@@ -42,7 +42,11 @@
 	if(isset($valori)){
 
-		$res_gruppo = mysql_query("insert into ".$prefix."_ele_gruppo values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i gruppi nel database! contattare l'amministratore".mysql_error());
-		$resnew = mysql_query("select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'" ,$dbi);
-		list ($newidg) = mysql_fetch_row($resnew);
+		$sql="insert into ".$prefix."_ele_gruppo values($valori)";
+		$res_gruppo = $dbi->prepare("$sql");
+		$res_gruppo->execute();	
+		$sql="select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'";
+		$resnew = $dbi->prepare("$sql");
+		$resnew->execute();	
+		list ($newidg) = $resnew->fetch(PDO::FETCH_NUM);
 		unset($valori);
 		if($oldidg)
@@ -74,7 +78,11 @@
 		if(isset($valori)){
 		if ($okl) {$okl=0;continue;}
-		$res_lista = mysql_query("insert into ".$prefix."_ele_lista values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire le liste nel database! contattare l'amministratore".mysql_error());
-		$reslnew = mysql_query("select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'" ,$dbi);
-		list ($newidl) = mysql_fetch_row($reslnew);
+		$sql="insert into ".$prefix."_ele_lista values($valori)";
+		$res_lista = $dbi->prepare("$sql");
+		$res_lista->execute();	
+		$sql="select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'";
+		$reslnew = $dbi->prepare("$sql");
+		$reslnew->execute();	
+		list ($newidl) = $reslnew->fetch(PDO::FETCH_NUM);
 		unset($valori);
 		if($oldidl)
@@ -105,5 +113,7 @@
 			if(isset($valori)){
 				if ($okc) {$okc=0;continue;}
-				$res_lista = mysql_query("insert into ".$prefix."_ele_candidati values($valori)" ,$dbi)||die("(1104) Non e' stato possibile inserire i candidati nel database! contattare l'amministratore".mysql_error());
+				$sql="insert into ".$prefix."_ele_candidati values($valori)";
+				$res_lista = $dbi->prepare("$sql");
+				$res_lista->execute();	
 			}
 		}
@@ -115,6 +125,8 @@
 
 
-$res = mysql_query("SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' and t2.id_cons_gen='$id_cons_gen'" , $dbi);
-list($id_cons,$descrizione) = mysql_fetch_row($res);
+$sql="SELECT t1.id_cons, t2.descrizione FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_consultazione as t2 on t1.id_cons_gen=t2.id_cons_gen where t1.id_comune='$id_comune' and t2.id_cons_gen='$id_cons_gen'";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($id_cons,$descrizione) = $res->fetch(PDO::FETCH_NUM);
  if (!isset($_FILES['datafile']['tmp_name']) or !is_uploaded_file($_FILES['datafile']['tmp_name'])) 
 	{
@@ -132,13 +144,31 @@
 }else{
 $idcns=$id_cons; 
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
-$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
+$sql="delete from ".$prefix."_ele_voti_ref where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_lista where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="update ".$prefix."_ele_sezioni set validi='0', contestati='0', validi_lista='0', nulli='0',bianchi='0',contestati_lista='0', voti_nulli_lista='0'  where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_candidati where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_lista where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
+$sql="delete from ".$prefix."_ele_gruppo where id_cons=$idcns";
+$res_del = $dbi->prepare("$sql");
+$res_del->execute();	
 $datafile=$_FILES['datafile']['tmp_name'];
 $arrFile = file($datafile);
Index: trunk/admin/modules/Elezioni/query.sql
===================================================================
--- trunk/admin/modules/Elezioni/query.sql	(revision 256)
+++ trunk/admin/modules/Elezioni/query.sql	(revision 257)
@@ -45,5 +45,5 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row = $sth->fetchAll();
+	$row = $sth->fetch(PDO::FETCH_BOTH);
 	return ($row);
 
@@ -78,6 +78,5 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row2 = $sth->fetchAll();
-    if ($row2) $id_cons = $row2['id_cons']; 
+    if ($sth->rowCount()) list($id_cons) = $sth->fetch(PDO::FETCH_NUM); 
 	else	$espandi=1;
 	if(!isset($tipo_cons))$tipo_cons=0;
@@ -87,6 +86,8 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row2 = $sth->fetchAll();
-	$limite=$row2[0];
+	if ($sth->rowCount()){
+		$row2 = $sth->fetchAll();
+		$limite=$row2[0];
+	}
 	return($row);
 }
@@ -187,5 +188,5 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row = $sth->fetchAll();
+	$row = $sth->fetch(PDO::FETCH_BOTH);
 	return($row);
 }
Index: trunk/admin/modules/Elezioni/restore.php
===================================================================
--- trunk/admin/modules/Elezioni/restore.php	(revision 256)
+++ trunk/admin/modules/Elezioni/restore.php	(revision 257)
@@ -95,10 +95,14 @@
 						if ($y==0) {$idcns=$valori;$y++;
 						foreach($tabs as $tbs){
-							$res_del = mysql_query("delete from $tbs where id_cons=$idcns" ,$dbi);
+							$sql="delete from $tbs where id_cons=$idcns";
+							$res_del = $dbi->prepare("$sql");
+							$res_del->execute();	
 							} 
 						}
-						if(!$res_del) die ("delete $tbs where id_cons=$idcns--- errore di cancellazione").mysql_error();
+						if(!$res_del->rowCount()) die ("delete $tbs where id_cons=$idcns--- errore di cancellazione");
 					}else $valori.= ",'".addslashes(base64_decode($val))."'";
-				$res_comune = mysql_query("insert into $tab values($valori)" ,$dbi);	
+				$sql="insert into $tab values($valori)";	
+				$res_comune = $dbi->prepare("$sql");
+				$res_comune->execute();	
 				$currentLine++;
 			}
Index: trunk/admin/modules/Elezioni/scarica.php
===================================================================
--- trunk/admin/modules/Elezioni/scarica.php	(revision 256)
+++ trunk/admin/modules/Elezioni/scarica.php	(revision 257)
@@ -13,7 +13,6 @@
 }
 
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -71,6 +70,8 @@
 	}elseif($fase=='2'){
 
-$res = mysql_query("SELECT descrizione from ".$prefix."_ele_consultazione WHERE id_cons_gen=$id_cons_gen2",$dbi);
-list($descrcons) = mysql_fetch_row($res);
+$sql="SELECT descrizione from ".$prefix."_ele_consultazione WHERE id_cons_gen=$id_cons_gen2";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($descrcons) = $res->fetch(PDO::FETCH_NUM);
 $rem_cons="<script type=\"text/javascript\" src=\"$indirizzoweb/file.php?fase=2&id_cons_gen2=$id_cons_gen2\"></script>";
 
@@ -79,5 +80,5 @@
 	echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
 	echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"3\"><input type=\"hidden\" name=\"indirizzoweb\" value=\"$indirizzoweb\">$indirizzoweb</td></td></tr>";
-$cons_rem=$_GET[($id_cons_gen2)];
+$cons_rem=intval($_GET[($id_cons_gen2)]);
 echo "<tr><td><b>"._CONSULTA.":</b></td><td>$cons_rem</td></tr>";
 	echo "<tr><td><b>"._SCELTACOMUNE."</b></td><td>$rem_cons</td></tr>";
Index: trunk/admin/temi/altro/index.php
===================================================================
--- trunk/admin/temi/altro/index.php	(revision 256)
+++ trunk/admin/temi/altro/index.php	(revision 257)
@@ -13,8 +13,12 @@
 global $nometema,$id_comune,$id_cons_gen,$aid,$dbi,$prefix;
 $nometema=$tema;
-$res_com = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune'",$dbi);
-$res_cons = mysql_query("SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'",$dbi);
-list($descr_comune) = mysql_fetch_row($res_com);
-list($descr_consultazione) = mysql_fetch_row($res_cons);
+$res_com = "SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune'";
+$sth = $dbi->prepare("$sql");
+$sth->execute();	
+list($descr_comune) = $sth->fetch(PDO::FETCH_NUM);
+$sql="SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'";
+$sth = $dbi->prepare("$sql");
+$sth->execute();	
+list($descr_consultazione) = $sth->fetch(PDO::FETCH_NUM);
 
 echo "<div class=\"container\"><table width=\"95%\"  border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"table-main\">
Index: trunk/admin/temi/facebook/index.php
===================================================================
--- trunk/admin/temi/facebook/index.php	(revision 256)
+++ trunk/admin/temi/facebook/index.php	(revision 257)
@@ -95,6 +95,9 @@
 // Blocco link
 
-$result = mysql_query("select mid, title, preamble, content,editimage from ".$prefix."_ele_link where id_cons='$id_cons' order by mid ", $dbi);
-    if (mysql_num_rows($result) == 0) {
+	$sql="select mid, title, preamble, content,editimage from ".$prefix."_ele_link where id_cons='$id_cons' order by mid";
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();	
+	$row = $sth->fetchAll();
+    if ($sth->rowCount() == 0) {
 	echo "</td></tr></table>";
         echo "</div></td><td>";
@@ -103,5 +106,6 @@
     } else {
 	echo "<h5>"._LINK."</h5><p>";
-	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
+	foreach($row as $row2) {
+		list($mid, $title,$preamble,$content,$editimage) = explode($row2)) {
   		if ($title != "" && $content != "") {
 			$content = stripslashes($content);
Index: trunk/admin/temi/facebook/menu.php
===================================================================
--- trunk/admin/temi/facebook/menu.php	(revision 256)
+++ trunk/admin/temi/facebook/menu.php	(revision 257)
@@ -19,7 +19,9 @@
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
 	
-	$sqlcomu="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();	
+	$row = $sth->fetch(PDO::FETCH_BOTH);
+	list($descr_com,$fascia)=explode($row);
         echo '<style type="text/css">
 		html,body{margin:0;padding:0}
@@ -52,7 +54,9 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();	
+	$row = $sth->fetch(PDO::FETCH_BOTH);	      
+	$esiste_multi=mysql_num_rows($rescomu);
 	      if ($esiste_multi>=1) {
 		    echo " <li>
@@ -61,5 +65,5 @@
 			  <ul>";
 			
-		      while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		      while (list($id,$descrizione,)=$sth->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">$descrizione</a></li>";
 			}
@@ -75,6 +79,8 @@
 	***********************************/
        
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql = "SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc"; 
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();	
+	$esiste=$sth->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {
@@ -83,5 +89,5 @@
 	    <ul>";
 	 
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $sth->fetch(PDO::FETCH_NUM)) {
 		echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
 	      ".substr($descrizione,0,31)."</a></li>";
@@ -124,5 +130,8 @@
 
  	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+	$sql = "SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons'"; 
+	$sth = $dbi->prepare("$sql");
+	$sth->execute();	
+	list($num_circ) = $sth->fetch(PDO::FETCH_NUM);
        	 echo " <li><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	    <ul>";
